kabc Library: KABC Namespace Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC Namespace Reference

static data, shared by ALL addressee objects More...

## Classes
class | Address
| Postal address information. More...
class | AddressBook
| Address Book. More...
class | AddresseeItem
| Special ListViewItem, that is used by the AddresseeDialog. More...
class | AddresseeDialog
| Dialog for selecting address book entries. More...
class | AddresseeList
| a QValueList of Addressee, with sorting functionality More...
class | AddressLineEdit
| A lineedit with LDAP and kabc completion. More...
class | Agent
| Important!!! More...
class | DistributionList
| Distribution list of email addresses. More...
class | DistributionListManager
| Manager of distribution lists. More...
class | DistributionListWatcher
| Watchdog for distribution lists. More...
class | DistributionListDialog
| Frontend to create distribution lists. More...
class | EmailSelector
| Helper class. More...
class | DistributionListEditorWidget
| Helper class. More...
class | DistributionListEditor
class | ErrorHandler
| Abstract class that provides displaying of error messages. More...
class | ConsoleErrorHandler
| This class prints the error messages to stderr via kdError(). More...
class | GUIErrorHandler
| This class shows messages boxes for every error message. More...
class | GuiErrorHandler
| This class shows messages boxes for every error message. More...
class | Format
class | FormatFactory
| Class for loading format plugins. More...
class | FormatPlugin
| Base class for address book formats. More...
class | BinaryFormat
| binary file format for addressbook entries. More...
class | Geo
| Geographic position. More...
class | Key
| A class to store an encryption key. More...
class | LdapObject
| This class is internal. More...
class | LdapClient
| This class is internal. More...
struct | LdapResult
| Structure describing one result returned by a LDAP query. More...
class | LdapSearch
| This class is internal. More...
class | LdapConfigWidget
| LDAP Configuration widget. More...
class | LDAPUrl
| LDAPUrl. More...
class | LDIF
| LDIF. More...
class | Lock
| This class provides locking functionality for a file, directory or an arbitrary string-represented resource. More...
class | LockNull
| This class provides a lock without actually locking. More...
class | PhoneNumber
| Phonenumber information. More...
class | ResourceFile
| This resource allows access to a local file. More...
class | Ticket
| Helper class for handling coordinated save of address books. More...
class | ResourceSelectDialog
| This class is. More...
class | Addressee
| address book entry More...
class | SortMode
| Sort method for sorting an addressee list. More...
class | StdAddressBook
| Standard KDE address book. More...
class | TimeZone
| Time zone information. More...
class | VCard21Parser
class | VCardConverter
| Class to converting contact objects into vCard format and vice versa. More...
class | VCardFormat
class | VCardFormatImpl
class | VCardFormatPlugin
| Interface of vCard backend for address book. More...
## Namespaces
namespace | SortingTraits
namespace | LDIFConverter
## Typedefs
typedef QMap< QString, LdapAttrValue > | LdapAttrMap
typedef QValueList< LdapResult > | LdapResultList
## Enumerations
enum | SortingCriterion { Uid, Name, FormattedName, FamilyName, GivenName }
## Functions
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Address &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Address &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const AddressBook &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, AddressBook &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Agent &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Agent &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Geo &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Geo &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Key &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Key &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const PhoneNumber &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, PhoneNumber &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Picture &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Picture &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Addressee &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Addressee &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &s, const Secrecy &secrecy)
KABC_EXPORT QDataStream & | operator>> (QDataStream &s, Secrecy &secrecy)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const TimeZone &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, TimeZone &)
KABC_EXPORT QString | dateToVCardString (const QDateTime &dateTime)
KABC_EXPORT QString | dateToVCardString (const QDate &date)
KABC_EXPORT QDateTime | VCardStringToDate (const QString &dateString)
## Variables
typedef QValueList< QByteArray > | LdapAttrValue

## Detailed Description

static data, shared by ALL addressee objects

## Enumeration Type Documentation

enum KABC::SortingCriterion

| Addressee attribute used for sorting. Definition at line 87 of file addresseelist.h.

## Function Documentation

QString KABC::dateToVCardString | ( | const QDateTime & | dateTime | ) |

  | Converts a QDateTime to a date string as it is used in VCard and LDIF files. The return value is in the form "yyyyMMddThhmmssZ" (e.g. "20031201T120000Z") Parameters:
  | dateTime | date and time to be converted
Since: 3.2 Definition at line 104 of file vcardconverter.cpp.

QString KABC::dateToVCardString | ( | const QDate & | date | ) |

  | Converts a QDate to a short date string as it is used in VCard and LDIF files. The return value is in the form "yyyyMMdd" (e.g. "20031201") Parameters:
  | date | date to be converted
Since: 3.2 Definition at line 109 of file vcardconverter.cpp.

QDateTime KABC::VCardStringToDate | ( | const QString & | dateString | ) |

  | Converts a date string as it is used in VCard and LDIF files to a QDateTime value. If the date string does not contain a time value, it will be returned as 00:00:00. (e.g. "20031201T120000" will return a QDateTime for 2003-12-01 at 12:00) Parameters:
  | dateString | string representing the date and time.
Since: 3.2 Definition at line 114 of file vcardconverter.cpp. References QString::length(), QString::mid(), QString::remove(), QString::toUInt(), and QString::upper(). Referenced by KABC::VCard21Parser::readFromString().

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003